Package Scientific :: Package Visualization :: Module PyMOL :: Class Cube

[frames] | no frames]

# Class Cube

    PyMOLObject --+
                  |
        ShapeObject --+
                      |
                     Cube

Cube

The edges of a cube are always parallel to the coordinate axes.

Instance Methods

__init__(self, center, edge, **attr) |

cgoObjects(self, material) |

Inherited from `ShapeObject`: `__add__`, `getPymolObjects`, `use` Inherited from `PyMOLObject`: `__copy__`, `__getitem__`, `__setitem__`, `writeToFile`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, center, edge, **attr)
(Constructor)

Parameters:
  - `center` (Scientific.Geometry.Vector) - the center of the sphere
  - `edge` (positive number) - the length of an edge
  - `attr` - graphics attributes as keyword parameters
Overrides: PyMOLObject.__init__